import lazyValue from "lazy-value";
import { readFileSafe } from "../../readFileSafe.js";
function readDefaultsFromDevelopment() {
  return {
    guide: lazyValue(async () => {
      const tag = /> .*guided walkthrough, see \[((?!\[).+)\]\((.+)\)/i.exec(
        await readFileSafe(".github/DEVELOPMENT.md", "")
      );
      if (!tag) {
        return void 0;
      }
      return {
        href: tag[2],
        title: tag[1]
      };
    })
  };
}
export {
  readDefaultsFromDevelopment
};
//# sourceMappingURL=readDefaultsFromDevelopment.js.map