type MultiWorkflowJobStep = {
    run: string;
} | {
    uses: string;
};
interface MultiWorkflowJobOptions {
    name: string;
    steps: MultiWorkflowJobStep[];
}
interface MultiWorkflowFileOptions {
    jobs: MultiWorkflowJobOptions[];
    name: string;
}
declare function createMultiWorkflowFile({ jobs, name, }: MultiWorkflowFileOptions): string;

export { type MultiWorkflowFileOptions, type MultiWorkflowJobOptions, type MultiWorkflowJobStep, createMultiWorkflowFile };
